Subject: fix broken initramfs-lts

From: Alex <[email-masked]>
Date: Mon, 4 Dec 2023 19:17:29 +0100

Heads up for those using Alpine Linux Edge, upgraded and were greeted
by a broken initramfs-lts after a linux-lts upgrade.

I did the usual apk update and apk upgrade dance, and was surprised by
apk telling me that mkinitfs failed ("your system may not boot!").
Decided to ignore and reboot anyway.

My initramfs-lts was broken after this, which I was able to regenerate
with systemrescuecd thanks to
https://wiki.alpinelinux.org/wiki/Initramfs_init.

Process was:

1. Boot systemrescuecd on broken computer.
2. mount hard drives
3. chroot to ext4 partition
4. run the command at the wiki
5. copy the new initramfs-lts to boot partition
6. profit

After this, I had once again a working computer, I just ran apk fix to
clear the mkinitfs error and life was good again. 

Moral of the story is, don't ignore apk errors (my bad), maybe try apk
fix before restarting if you see one, and remember to have a backup
linux install on external media in case you inevitably mess up.

-- 
Current PGP KeyID: 0AFB427F1800FD89751C4035292228735AE707FF

https://blueselene.com/pgp-archive/0AFB427F1800FD89751C4035292228735AE707FF/key.pub